/* Quick Search Wrap */
.hero-quick-search-wrap { width: calc(100% - 2rem); position: absolute; bottom: 3.75rem; left: auto; z-index: 2; margin: auto; padding: 1rem 0.75rem; background: hsla(var(--siteColor1), 50%); border-radius: var(--borderRadius); font-family: var(--bodyFont); text-transform: capitalize; }
.hero-quick-search-wrap.hero-tabs { margin: 3.5rem auto 0; }
/* Quick Search Tabs */
.hero-quick-search-wrap .nav { justify-content: center; position: absolute; bottom: calc(100% + 0.5rem); right: 0; left: 0; margin: auto; }
.hero-quick-search-wrap .nav .nav-item { flex-grow: 1; margin: 0 0.25rem 0.5rem; }
.hero-quick-search-wrap .nav .nav-link { padding: 0.5rem 1rem; background: hsla(var(--white), 50%); color: hsla(var(--black), 95%); text-align: center; }
.hero-quick-search-wrap .nav .nav-link.active { background: hsla(var(--siteColor1), 95%); color: hsla(var(--white), 95%); }
.hero-quick-search-wrap .tab-content { background: transparent; }
.hero-quick-search-wrap .tab-content .tab-pane { background: transparent; }

/* Quick Search */
.hero-quick-search { width: 100%; position: relative; }
.hero-quick-search .row { justify-content: center; padding: 0 0.9375rem; }
.hero-quick-search [class^=col] { flex-basis: 100%; max-width: 100%; padding: 0.625rem 0.75rem; position: relative; }
.hero-quick-search .input-wrap,
.hero-quick-search .select-wrap { width: 100%; height: 2.875rem; position: relative; background: hsl(var(--white)); border-radius: var(--borderRadius); }
.hero-quick-search .input-wrap .icon,
.hero-quick-search .select-wrap .icon { width: 1.5rem; height: 1.5rem; position: absolute; top: 50%; left: 1rem; z-index: 1; transform: translate(0, -50%); color: hsl(var(--siteColor1)); }
.hero-quick-search .input-wrap input[type=text],
.hero-quick-search .bootstrap-select .dropdown-toggle { background: transparent; }
.hero-quick-search .input-wrap input[type=text],
.hero-quick-search .bootstrap-select .dropdown-toggle,
.hero-quick-search button[type=submit] { width: 100%; height: 100%; padding: 0.625rem; position: relative; z-index: 2; border: none; text-align: center; text-overflow: ellipsis; white-space: nowrap; }
.hero-quick-search .input-wrap,
.hero-quick-search .select-wrap,
.hero-quick-search button[type=submit] { height: 2.875rem; }
.hero-quick-search .input-wrap input[type=text] { display: inline-flex; min-width: 10rem; height: 100%; padding: 1rem 1rem 1rem 3rem; border: none; border-radius: 0; text-align: left !important; }

.hero-quick-search .col-dates { order: 1; }
.hero-quick-search .col-location { order: 2; }
.hero-quick-search .col-bedrooms { order: 3; flex-basis: 50%; max-width: 50%; }
.hero-quick-search .col-bathrooms { order: 4; flex-basis: 50%; max-width: 50%; }
.hero-quick-search .col-sleeps { order: 5; flex-basis: 50%; max-width: 50%; }
.hero-quick-search .col-view { order: 6;  }
.hero-quick-search .col-must-haves { order: 7; flex-basis: 50%; max-width: 50%; }
.hero-quick-search .col-price { order: 8; flex-basis: 50%; max-width: 50%; }
.hero-quick-search .col-city { order: 9; flex-basis: 50%; max-width: 50%; }
.hero-quick-search .col-type { order: 10; }
.hero-quick-search .col-csrp { order: 11; }
.hero-quick-search .col-flexible { order: 12; display: flex; justify-content: center; }
.hero-quick-search .col-submit { order: 13; }

.hero-quick-search .qs-dates-arrival:before,
.hero-quick-search .qs-dates-departure:before,
.hero-quick-search .col-mlsNumber .input-wrap:before,
.hero-quick-search .bootstrap-select .dropdown-toggle:before { content: ""; display: block; height: 1.25rem; position: absolute; top: 50%; left: 1rem; transform: translate(0, -50%); }
/* siteColor1 - HSL Value is inline, no variable support */
.hero-quick-search .qs-dates-arrival:before { width: 1.125rem; background: url('https://carolinaonevacationrentals.icnd-cdn.com/images/layout/icon-calendar-arrival.svg') no-repeat center center / 1.5rem 1.5rem; }
.hero-quick-search .qs-dates-departure:before { width: 1.125rem; background: url('https://carolinaonevacationrentals.icnd-cdn.com/images/layout/icon-calendar-depart.svg') no-repeat center center / 1.5rem 1.5rem; }
.hero-quick-search .col-location .dropdown-toggle:before { width: 0.95rem; background: url('https://carolinaonevacationrentals.icnd-cdn.com/images/layout/icon-location.svg') no-repeat center center / 1.5rem 1.25rem; }
.hero-quick-search .col-sleeps .dropdown-toggle:before { width: 1.5rem; background: url('https://carolinaonevacationrentals.icnd-cdn.com/images/layout/icon-guests.svg') no-repeat center center / 1.5rem 1.5rem; }
.hero-quick-search .col-bedrooms .dropdown-toggle:before { width: 1.5rem; background: url('https://carolinaonevacationrentals.icnd-cdn.com/images/layout/icon-bed.svg') no-repeat center center / 1.5rem 1.5rem; }
.hero-quick-search .col-bathrooms .dropdown-toggle:before { width: 1.25rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="hsl(216, 100%, 14.1%)" d="M32 384a95.4 95.4 0 0032 71.09V496a16 16 0 0016 16h32a16 16 0 0016-16v-16h256v16a16 16 0 0016 16h32a16 16 0 0016-16v-40.91A95.4 95.4 0 00480 384v-48H32zm464-128H80V69.25a21.26 21.26 0 0136.28-15l19.27 19.26c-13.13 29.88-7.61 59.11 8.62 79.73l-.17.17a16 16 0 000 22.59l11.31 11.31a16 16 0 0022.63 0L283.31 81.94a16 16 0 000-22.63L272 48a16 16 0 00-22.62 0l-.17.17c-20.62-16.23-49.83-21.75-79.73-8.62l-19.26-19.27A69.25 69.25 0 0032 69.25V256H16a16 16 0 00-16 16v16a16 16 0 0016 16h480a16 16 0 0016-16v-16a16 16 0 00-16-16z"></path></svg>'); }
.hero-quick-search .col-view .dropdown-toggle:before { width: 1.35rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path fill="hsl(216, 100%, 14.1%)" d="M572.52 241.4C518.29 135.59 410.93 64 288 64S57.68 135.64 3.48 241.41a32.35 32.35 0 000 29.19C57.71 376.41 165.07 448 288 448s230.32-71.64 284.52-177.41a32.35 32.35 0 000-29.19zM288 400a144 144 0 11144-144 143.93 143.93 0 01-144 144zm0-240a95.31 95.31 0 00-25.31 3.79 47.85 47.85 0 01-66.9 66.9A95.78 95.78 0 10288 160z"></path></svg>'); }
.hero-quick-search .col-must-haves .dropdown-toggle:before { width: 1.25rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="hsl(216, 100%, 14.1%)" d="M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z"></path></svg>'); }
.hero-quick-search .col-price .dropdown-toggle:before { width: 0.6875rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 288 512"><path fill="hsl(216, 100%, 14.1%)" d="M211.9 242.1L95.6 208.9c-15.8-4.5-28.6-17.2-31.1-33.5C60.6 150 80.3 128 105 128h73.8c15.9 0 31.5 5 44.4 14.1 6.4 4.5 15 3.8 20.5-1.7l22.9-22.9c6.8-6.8 6.1-18.2-1.5-24.1C240.4 74.3 210.4 64 178.8 64H176V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48h-2.5C60.3 64 14.9 95.8 3.1 143.6c-13.9 56.2 20.2 111.2 73 126.3l116.3 33.2c15.8 4.5 28.6 17.2 31.1 33.5C227.4 362 207.7 384 183 384h-73.8c-15.9 0-31.5-5-44.4-14.1-6.4-4.5-15-3.8-20.5 1.7l-22.9 22.9c-6.8 6.8-6.1 18.2 1.5 24.1 24.6 19.1 54.6 29.4 86.3 29.4h2.8v48c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-48h2.5c49.2 0 94.6-31.8 106.4-79.6 13.9-56.2-20.2-111.2-73-126.3z"></path></svg>'); }
.hero-quick-search .col-city .dropdown-toggle:before { width: 1.5625rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><path fill="hsl(216, 100%, 14.1%)" d="M244 384h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm0-192h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm-96 0h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm0 192h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm0-96h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm96 0h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm288 96h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm0-96h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm84-96H512V24c0-13.26-10.74-24-24-24H280c-13.26 0-24 10.74-24 24v72h-32V16c0-8.84-7.16-16-16-16h-16c-8.84 0-16 7.16-16 16v80h-64V16c0-8.84-7.16-16-16-16H80c-8.84 0-16 7.16-16 16v80H24c-13.26 0-24 10.74-24 24v376c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16V144h256V48h160v192h128v256c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16V216c0-13.26-10.75-24-24-24zM404 96h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm0 192h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12zm0-96h-40c-6.63 0-12 5.37-12 12v40c0 6.63 5.37 12 12 12h40c6.63 0 12-5.37 12-12v-40c0-6.63-5.37-12-12-12z"></path></svg>'); }
.hero-quick-search .col-type .dropdown-toggle:before { width: 1.125rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="hsl(216, 100%, 14.1%)" d="M128 148v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12zm140 12h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm-128 96h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm128 0h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm-76 84v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm76 12h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm180 124v36H0v-36c0-6.6 5.4-12 12-12h19.5V24c0-13.3 10.7-24 24-24h337c13.3 0 24 10.7 24 24v440H436c6.6 0 12 5.4 12 12zM79.5 463H192v-67c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v67h112.5V49L80 48l-.5 415z"></path></svg>'); }
.hero-quick-search .col-csrp .dropdown-toggle:before { width: 1.25rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="hsl(216, 100%, 14.1%)" d="M505 442.7L405.3 343c-4.5-4.5-10.6-7-17-7H372c27.6-35.3 44-79.7 44-128C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c48.3 0 92.7-16.4 128-44v16.3c0 6.4 2.5 12.5 7 17l99.7 99.7c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.6.1-34zM208 336c-70.7 0-128-57.2-128-128 0-70.7 57.2-128 128-128 70.7 0 128 57.2 128 128 0 70.7-57.2 128-128 128z"></path></svg>'); }
.hero-quick-search .col-boat-type .dropdown-toggle:before { width: 1.375rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><path fill="hsl(216, 100%, 14.1%)" d="M256 16c0-7 4.5-13.2 11.2-15.3s13.9 .4 17.9 6.1l224 320c3.4 4.9 3.8 11.3 1.1 16.6s-8.2 8.6-14.2 8.6H272c-8.8 0-16-7.2-16-16V16zM212.1 96.5c7 1.9 11.9 8.2 11.9 15.5V336c0 8.8-7.2 16-16 16H80c-5.7 0-11-3-13.8-8s-2.9-11-.1-16l128-224c3.6-6.3 11-9.4 18-7.5zM5.7 404.3C2.8 394.1 10.5 384 21.1 384H554.9c10.6 0 18.3 10.1 15.4 20.3l-4 14.3C550.7 473.9 500.4 512 443 512H133C75.6 512 25.3 473.9 9.7 418.7l-4-14.3z"></path></svg>'); }
.hero-quick-search .col-mlsNumber .input-wrap:before { width: 1.125rem; background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="hsl(216, 100%, 14.1%)" d="M443.524 190.109l4.286-24c1.313-7.355-4.342-14.109-11.813-14.109h-89.045l18.909-105.89c1.313-7.355-4.342-14.11-11.813-14.11h-24.38a12 12 0 00-11.813 9.89L298.192 152h-111.24l18.909-105.89c1.313-7.355-4.342-14.11-11.813-14.11h-24.38a12 12 0 00-11.813 9.89L138.192 152H44.86a12 12 0 00-11.813 9.891l-4.286 24C27.448 193.246 33.103 200 40.575 200h89.045l-20 112H16.289a12 12 0 00-11.813 9.891l-4.286 24C-1.123 353.246 4.532 360 12.003 360h89.045L82.139 465.891C80.826 473.246 86.481 480 93.953 480h24.38a12 12 0 0011.813-9.891L149.808 360h111.24l-18.909 105.891c-1.313 7.355 4.342 14.109 11.813 14.109h24.38a12 12 0 0011.813-9.891L309.808 360h93.331a12 12 0 0011.813-9.891l4.286-24c1.313-7.355-4.342-14.109-11.813-14.109H318.38l20-112h93.331a12 12 0 0011.813-9.891zM269.62 312H158.38l20-112h111.24l-20 112z"></path></svg>'); }
.hero-quick-search .col-mlsNumber .input-wrap input[type=text] { min-width: 12rem; }

.hero-quick-search [class^=col] label { display: none; text-align: left; }
.hero-quick-search [class^=col] select { opacity: 0; position: absolute; top: 0; left: 0; right: 0; width: 100%; }
.hero-quick-search .bootstrap-select { width: 100% !important; height: 100%; }
.hero-quick-search .bootstrap-select .dropdown-toggle { touch-action: auto; display: flex; padding: 1rem 1rem 1rem 3rem; border-radius: var(--borderRadius) !important; }
.hero-quick-search .bootstrap-select .dropdown-toggle,
.hero-quick-search .bootstrap-select .dropdown-toggle .filter-option,
.hero-quick-search .bootstrap-select .dropdown-toggle .filter-option-inner,
.hero-quick-search .bootstrap-select .dropdown-toggle .filter-option-inner-inner { display: flex; justify-content: start; align-items: center; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; color: hsl(var(--gray60)); }
.hero-quick-search .bootstrap-select .dropdown-toggle .filter-option-inner-inner { display: block; }
.qs-dates-arrival:after,
.qs-dates-departure:after { content: ""; display: inline-block; width: 0.5rem; height: 0.5rem; position: absolute; top: 50%; right: 1rem; transform: translate(0, -50%) rotate(45deg); border: none; border-right: 0.125rem solid hsl(var(--siteColor1)); border-bottom: 0.125rem solid hsl(var(--siteColor1)); }
.hero-quick-search .bootstrap-select .dropdown-toggle:after { width: 0.5rem; height: 0.5rem; border: none; border-right: 0.125rem solid hsl(var(--siteColor1)); border-bottom: 0.125rem solid hsl(var(--siteColor1)); transform: rotate(45deg); }
.hero-quick-search .input-wrap input:focus,
.hero-quick-search .input-wrap input:hover { color: hsl(var(--bodyFontColor)); }
.hero-quick-search .bootstrap-select .dropdown-toggle:active { background: none; box-shadow: var(--focusShadow); }
.hero-quick-search .bootstrap-select:focus,
.hero-quick-search .bootstrap-select .dropdown-toggle:focus,
.hero-quick-search .bootstrap-select .dropdown-toggle:hover { outline: none !important; box-shadow: none !important; color: hsl(var(--bodyFontColor)); }
.hero-quick-search button[type=submit] { border-radius: var(--borderRadius); font-size: 1.125rem; font-weight: var(--wMedium); color: hsl(var(--siteColor1)); text-transform: capitalize; }
.hero-quick-search button[type=submit]:hover { outline: none !important; box-shadow: none !important; color: hsl(var(--white)); }
body .hero-quick-search .bootstrap-select .dropdown-menu { width: 100%; max-width: none; }
body .hero-quick-search .bootstrap-select.show-tick .dropdown-menu .selected span.check-mark { top: 50%; transform: translateY(-50%); color: hsl(var(--siteColor1)); right: 1.5rem; }
body .hero-quick-search .bootstrap-select.show-tick .dropdown-menu li a span.text { margin-right: 0; text-wrap: wrap; }
.hero-quick-search .checkbox .form-check-label { display: flex; color: hsl(var(--white)); }
.hero-quick-search .checkbox .form-check-label:before { padding: 0.625rem; }
.hero-quick-search .checkbox .form-check-label:hover:before { background-color: hsla(var(--white), 0.75); }
.hero-quick-search .checkbox .form-check-label .icon { width: 0.875rem; height: 0.875rem; margin: -0.5rem 0 0 0.375rem; }

/* BE QS Specific */
/* Quick Search Datepicker & Modal */
.qs-modal .i-modal-main { padding-top: 2.5rem; padding-bottom: 5rem; }
.qs-datepicker-wrap { width: 20rem; max-width: 100%; overflow: hidden; display: none; margin: auto; border-radius: 0; box-shadow: var(--dropShadow); }
.qs-datepicker-wrap .ui-datepicker.ui-widget-content { width: 100%; min-width: auto; margin: 0; padding: 0 !important; }
.qs-datepicker-wrap .ui-datepicker.ui-widget-content .ui-datepicker-calendar { width: 100%; }
.qs-datepicker-wrap .ui-datepicker.ui-widget-content .ui-datepicker-group { width: 100% !important; }
.qs-datepicker-wrap .ui-datepicker.ui-widget-content .ui-datepicker-prev { left: 0; }
.qs-datepicker-wrap .ui-datepicker.ui-widget-content .ui-datepicker-next { right: 0; }
.datepicker-reset { display: none; background: none; border: none; color: hsl(var(--lightGray)); }
.datepicker-reset.active { display: flex; }
.datepicker-reset-inline { width: 1.25rem; height: 1.25rem; position: absolute; top: 50%; right: 1.35rem; transform: translate(0, -50%); }
.datepicker-reset .icon { vertical-align: top; width: 1.25rem; height: 1.25rem; color: hsl(var(--siteColor1));  }
.qs-dates-wrap { cursor: pointer; display: flex; justify-content: space-between; align-items: center; gap: 1.5rem; width: 100%; height: 2.875rem; position: relative; }
.qs-dates-wrap .caret { display: none; }
.qs-dates-group { position: relative; display: flex; flex-direction: column; text-align: left; }
.qs-dates-group-label { margin: 0; padding: 0; transition: all ease-in-out 0.125s; }
.qs-dates-group-date { opacity: 0; visibility: hidden; transition: all ease-in-out 0.4s; position: absolute; }
.qs-dates-group.dates-entered .qs-dates-group-label { opacity: 0.75; font-size: 0.75rem; transform: translateY(-15%); }
.qs-dates-group.dates-entered .qs-dates-group-date { opacity: 1; visibility: visible; position: relative; }
.qs-dates-arrival,
.qs-dates-departure { height: 100%; display: flex; align-items: center; width: 50%; margin: 0; padding: 1rem 1.625rem 1rem 3rem; position: relative; background-color: hsl(var(--white)); border-radius: var(--borderRadius); white-space: nowrap; letter-spacing: 0.025rem; line-height: 1; color: hsl(var(--gray60)); }
.qs-dates-arrival .icon,
.qs-dates-departure .icon { width: 1.25rem; height: 1.25rem; color: hsl(var(--siteColor1)); margin-right: 0.5rem; }
.qs-modal-datepicker-body { display: flex; flex-wrap: wrap; flex-direction: column; justify-content: center; padding: 0; background-color: hsla(var(--siteColor1), 10%); transition: all 0.4s ease-in-out; }
.qs-modal-datepicker-body .datepicker-reset { width: 6.25rem; position: relative; margin: 1rem auto; background: hsl(var(--white)); border: 0.0625rem hsla(var(--siteColor1), 25%) solid; border-radius: var(--borderRadius); box-shadow: 0 0 0 0.125rem hsla(var(--white), 50%); font-size: 0.875rem; color: hsl(var(--siteColor1)); text-transform: capitalize; transition: all ease-in-out 0.4s; }
.qs-modal-datepicker-body .datepicker-reset:hover { border: 0.0625rem hsla(var(--siteColor1), 25%) solid; }
.qs-modal-datepicker-body .datepicker-reset .icon { margin-right: 0.25rem; }
@media (min-width: 480px) {
  .qs-datepicker-wrap { max-width: 100%; border-radius: var(--borderRadius); }
  .qs-modal-datepicker-body { padding: 1.5rem; }
}

/* MLS QS Specific */
.qs-price-wrap { cursor: pointer; display: flex; justify-content: space-between; align-items: center; width: 100%; height: 2.875rem; padding: 1.25rem 0; position: relative; background: hsl(var(--white)); border-radius: var(--borderRadius); }
.qs-price-min,
.qs-price-max { width: 50%; }
.qs-price-group { position: relative; display: flex; flex-direction: column; text-align: left; }
.qs-price-group .select-wrap:after { display: none; }

@media (min-width: 1025px) and (max-width: 1260px) {
  /* Only Shows when there are 5 or more quick search filters 'displayed' */
  .hero-quick-search .row.grid-wrap {
    grid-template-columns: repeat(auto-fill, minmax(25%, 1fr));
  }
}
@media (min-width: 480px) {
  .hero-quick-search-wrap .nav .nav-item { flex-grow: 0; }
  .hero-quick-search-wrap .nav .nav-link { padding: 0.5rem 2.5rem; }
}
@media (min-width: 1025px) {
  .hero-quick-search-wrap { max-width: 75rem; position: absolute; top: 50%; right: 0; bottom: auto; left: 0; padding: 0; background-color: transparent; }
  .hero-quick-search-wrap.int { bottom: 6.875rem; }
  .hero-quick-search-wrap.hero-tabs { margin: 0 auto; }
  .hero-quick-search-wrap .nav { position: relative; bottom: auto; }
  .hero-quick-search { padding: 0.875rem; background-color: transparent; border-radius: var(--borderRadius); }
  .hero-quick-search .row { margin: 0; padding: 0; display: flex; flex-wrap: wrap; }
  .hero-quick-search .row-be { margin: 0; padding: 0;
    grid-template-columns: repeat(calc(var(--quickSearchFiltersCount) + 2), minmax(auto, 1fr)); /* The 2 is the defualt included elements, Arrival/Departure Fields & Submit Button */
  }
  .hero-quick-search .row-mls { margin: 0; padding: 0;
    grid-template-columns: repeat(calc(var(--quickSearchFiltersCount) - 1), minmax(auto, 1fr)); /* The elements are conditional, no factoring needed */
  }
  .hero-quick-search .row-ye { margin: 0; padding: 0;
    grid-template-columns: repeat(calc(var(--quickSearchFiltersCount) + 2), minmax(auto, 1fr)); /* The 2 is the defualt included elements, Arrival/Departure Fields & Submit Button */
  }
  .hero-quick-search [class^=col] { flex-basis: 25%; max-width: 25%; margin: 0; padding: 0; background-color: hsla(var(--white), 65%); backdrop-filter: blur(0.125rem); }
  .hero-quick-search .col-dates { min-width: 24rem; }
  .hero-quick-search .qs-dates-arrival,
  .hero-quick-search .qs-dates-departure { background-color: transparent; color: hsl(var(--siteColor1)); }
  .hero-quick-search .col-must-haves,
  .hero-quick-search .col-location,
  .hero-quick-search .col-views { min-width: 7.5rem; }
  .hero-quick-search .col-submit { min-width: 10rem; padding-right: 1rem; }
  .hero-quick-search .bootstrap-select .dropdown-toggle { height: 100%; border-radius: 0 !important; }
  .hero-quick-search .bootstrap-select .dropdown-toggle,
  .hero-quick-search .bootstrap-select .dropdown-toggle .filter-option,
  .hero-quick-search .bootstrap-select .dropdown-toggle .filter-option-inner,
  .hero-quick-search .bootstrap-select .dropdown-toggle .filter-option-inner-inner { text-indent: 0; }
  .hero-quick-search .bootstrap-select .dropdown-toggle .filter-option-inner-inner { color: hsl(var(--siteColor1)); }
  body .hero-quick-search .bootstrap-select .dropdown-menu { width: auto; }
  .hero-quick-search .bootstrap-select .dropdown-menu .inner { border-radius: 0 !important; }
  .qs-dates-wrap:after { content: ''; height: 80%; position: absolute; top: 50%; left: 50%; transform: translate(0,-50%); border-left: 0.0625rem solid hsl(var(--gray90)); }
  .hero-quick-search .input-wrap:after,
  .hero-quick-search .select-wrap:after { content: ''; height: 80%; position: absolute; top: 50%; left: 0; transform: translate(0,-50%); border-left: 0.0625rem solid hsl(var(--gray90)); }
  .hero-quick-search .input-wrap,
  .hero-quick-search .select-wrap { height: 4rem; background-color: transparent; }
  .hero-quick-search button[type=submit] { height: 6rem; border-radius: var(--borderRadius); }
/*
  .hero-quick-search [class^=col],
  .hero-quick-search [class^=col] > div { border-radius: 0 !important; }
*/
  .hero-quick-search [class^=col]:first-child > div,
  .hero-quick-search [class^=col]:first-child > div .input-wrap,
  .hero-quick-search [class^=col]:first-child > div .select-wrap { border-radius: var(--borderRadius) 0 0 var(--borderRadius) !important; }
  .hero-quick-search .checkbox .form-check-label { text-shadow: 0.0625rem 0.0625rem 0.0625rem hsl(var(--bodyFontColor)) }
  /* Column Ordering */
  .hero-quick-search [class^=col] { --qsWidthConst: 15rem; order: unset !important; flex-basis: calc(25% - calc(var(--qsWidthConst) / 4)); max-width: calc(25% - calc(var(--qsWidthConst) / 4));}
  .hero-quick-search [class^=col]:nth-child(3) { border-radius: 0 var(--borderRadius) var(--borderRadius) 0 !important; }
  .hero-quick-search .col-submit { width: var(--qsWidthConst); padding: 0; position: absolute; left: 50%; z-index: 2; transform: translate(-50%, -1rem); background-color: transparent; }
  .hero-quick-search .col-dates { flex-basis: calc(50% - calc(var(--qsWidthConst) / 2)); max-width: calc(50% - calc(var(--qsWidthConst) / 2)); margin-right: auto; border-radius: var(--borderRadius) 0 0 var(--borderRadius) !important; }
  .hero-quick-search .col-dates + [class^=col] { margin-left: var(--qsWidthConst); }
  .hero-quick-search .col-dates + [class^=col] .select-wrap:after { display: none; }
  .hero-quick-search .col-flexible { flex-basis: 100%; max-width: 100%; justify-content: flex-start; padding: 1rem 0 0; background-color: transparent; }
/*
  .hero-quick-search .col-dates { order: 1; border-radius: var(--borderRadius) 0 0 var(--borderRadius) !important; padding-left: 1rem; }
  .hero-quick-search .col-location { order: 10; }
  .hero-quick-search .col-bedrooms { order: 3; flex-basis: 100%; max-width: 100%; }
  .hero-quick-search .col-bathrooms { order: 4; flex-basis: 100%; max-width: 100%; }
  .hero-quick-search .col-sleeps { order: 5; flex-basis: 100%; max-width: 100%; }
  .hero-quick-search .col-view { order: 6; }
  .hero-quick-search .col-must-haves { order: 7; flex-basis: 100%; max-width: 100%; }
  .hero-quick-search .col-price { order: 8; flex-basis: 100%; max-width: 100%; }
  .hero-quick-search .col-city { order: 9; flex-basis: 100%; max-width: 100%; }
  .hero-quick-search .col-type { order: 11; }
  .hero-quick-search .col-csrp { order: 12; }
  .hero-quick-search .col-submit { order: 2; border-radius: 0 var(--borderRadius) var(--borderRadius) 0 !important;  }
  .hero-quick-search .col-flexible { flex-basis: 100%; max-width: 100%; order: 13; justify-content: flex-start; padding-bottom: 0; background-color: transparent; }
*/

  .qs-datepicker-wrap { width: auto; margin: 0; box-shadow: none; }
  .qs-datepicker-wrap .ui-datepicker.ui-widget-content { width: 100% !important; box-shadow: none; }
  .qs-datepicker-wrap .ui-datepicker.ui-widget-content .ui-datepicker-group { width: 50% !important; padding: 0 0.5rem; }
  .qs-dates-wrap { height: 100%; gap: 0; }

  .hero-quick-search.mls-quick-search > form { display: flex; flex-direction: column-reverse; }
  .hero-quick-search .row-mls-search { display: flex; width: 100%; margin-top: 0.5rem; }
  .hero-quick-search .row-mls-search [class^=col] { max-width: 30rem; }
  .hero-quick-search .row-mls-search [class^=col] > div,
  .hero-quick-search .row-mls-search [class^=col] > div .input-wrap,
  .hero-quick-search .row-mls-search [class^=col] > div .select-wrap { border-radius: var(--borderRadius) !important; }
  .hero-quick-search .row-mls-search .input-wrap { border-radius: var(--borderRadius) !important; }
  .hero-quick-search .row-mls-search .input-wrap:after { display: none; }

  .qs-price-wrap { height: 100%; padding: 0; }
  .qs-price-wrap .bootstrap-select .dropdown-toggle { padding: 1rem 1rem 1rem 2.25rem; }
  .hero-quick-search .col-city .dropdown-toggle { padding: 1rem 1rem 1rem 3rem; }
  .datepicker-reset-inline { right: 0.5rem; }
  .qs-modal-datepicker-body { padding: 0; background-color: hsl(var(--white)); }
}
/*
@media screen and (orientation: landscape) {
  .hero-quick-search-wrap { bottom: 3.75rem; }
  .hero-quick-search-wrap.int { bottom: 3.75rem; }
}
*/